<template>
  <div class="ui form">
    <div class="grouped fields">
      <label>Prise de repas</label>
      <div class="field">
        <div
          class="ui radio checkbox"
          @click="updateEatingPlace('SELF')"
        >
          <input
            :checked="eatingPlace === 'SELF'"
            type="radio"
          >
          <label>Self service</label>
        </div>
      </div>
      <div class="field">
        <div
          class="ui radio checkbox"
          @click="updateEatingPlace('PAVILLON')"
        >
          <input
            :checked="eatingPlace === 'PAVILLON'"
            type="radio"
          >
          <label>Pavillon</label>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import store from '@/store/Store'

export default {
  name: 'RadioEatingPlace',
  store,
  props: {
    eatingPlace: String
  },
  methods: {
    updateEatingPlace (place) {
      this.$emit('updateEatingPlace', place)
    }
  }
}
</script>
